Bug 199748 - dbus-timeout.c assertion when software run under sudo or su.
dbus-timeout.c assertion when software run under sudo or su.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-21 14:25 EDT by Tim Vismor
Modified: 2013-03-05 22:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:41:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace of problem (11.46 KB, text/plain)
2006-07-21 15:25 EDT, Tim Vismor
no flags Details

  None (edit)
Description Tim Vismor 2006-07-21 14:25:34 EDT
Description of problem:

dbus-timeout.c assertion when software run under sudo or su.


How reproducible:

Always


Examples of problem:

[vismor@azalea ~]$ sudo nautilus --browser
File "dbus-timeout.c" line 343 process 2956 should not have been reached:
Nonexistent timeout was removed

[vismor@azalea ~]$ sudo gedit&
[1] 2968
[vismor@azalea ~]$ File "dbus-timeout.c" line 343 process 2968 should not have
been reached: Nonexistent timeout was removed

[1]+  Exit 1                  sudo gedit

[vismor@azalea ~]$ su
Password: 
[root@azalea vismor]# nautilus --browser

(nautilus:3389): GnomeUI-WARNING **: While connecting to session manager:
Authentication Rejected, reason : None of the authentication protocols specified
are supported and host-based authentication failed.
File "dbus-timeout.c" line 343 process 3389 should not have been reached:
Nonexistent timeout was removed
[root@azalea vismor]# exit

Additional info:

This problem started with the dbus 0.90 upgrade. Examples generated on Thinkpad
T43 with rawhide updated on 7/21/06.

[vismor@azalea ~]$ rpm -qa | grep 'dbus'
dbus-devel-0.90-7
dbus-sharp-0.63-4.fc6
dbus-0.90-7
dbus-python-0.70-5
dbus-x11-0.90-7
dbus-glib-devel-0.70-4
dbus-glib-0.70-4
Comment 1 John (J5) Palmieri 2006-07-21 14:42:34 EDT

*** This bug has been marked as a duplicate of 199617 ***
Comment 2 Tim Vismor 2006-07-21 14:56:08 EDT
Not meaning to be a pain, but dbus-0.90-7 (which is loaded on this machine) has
the patch that fixed the problem in bz 199617. According to the build system log:

dbus-0.90-7
-----------
* Thu Jul 20 2006 John (J5) Palmieri <johnp@redhat.com> - 0.90-7
- add patch to fix taking a connection ref when it is locked

So I will reopen the bug. Sorry if there is a misunderstanding on my part.
Comment 3 John (J5) Palmieri 2006-07-21 15:07:55 EDT
my fault, this is a different bug.  Can you install the dbuginfo packages for
dbus and get a stacktrace.  Thanks.
Comment 4 Tim Vismor 2006-07-21 15:25:22 EDT
Created attachment 132840 [details]
backtrace of problem

The attached file contains the requested backtrace from the command:

[vismor@azalea ~]$ sudo nautilus --browser
File "dbus-timeout.c" line 343 process 3691 should not have been reached:
Nonexistent timeout was removed
Comment 5 John (J5) Palmieri 2006-07-22 19:10:50 EDT
I built a fixed 0.90-8.  Please install it and tell me if it fixes your issues
Comment 6 Tim Vismor 2006-07-24 11:05:54 EDT
I updated to 0.90-8 this morning (7/24/06). The aborts are gone. FYI. "sudo
gedit" runs without apparent incident. However, "sudo nautilus" generates the
following console messages (not sure if this is a dbus, nautilus or gnome-vfs
problem):

[vismor@azalea ~]$ sudo nautilus --browser

(nautilus:3059): libgnomevfs-WARNING **: Failed to open session DBUS connection:
Did not receive a reply. Possible causes include: the remote application did not
send a reply, the message bus security policy blocked the reply, the reply
timeout expired, or the network connection was broken.
Volume monitoring will not work.
3059: arguments to dbus_connection_send_with_reply_and_block() were incorrect,
assertion "connection != NULL" failed in file dbus-connection.c line 2769.
This is normally a bug in some application using the D-BUS library.
3059: arguments to dbus_connection_send_with_reply_and_block() were incorrect,
assertion "connection != NULL" failed in file dbus-connection.c line 2769.
This is normally a bug in some application using the D-BUS library.
Comment 7 Tim Vismor 2006-07-24 11:11:36 EDT
Additional info. If you open the file chooser in gedit. The same problem occurs.
I guess this narrows it down to dbus or gnome-vfs.

[vismor@azalea ~]$ sudo gedit

(gedit:3157): libgnomevfs-WARNING **: Failed to open session DBUS connection:
Did not receive a reply. Possible causes include: the remote application did not
send a reply, the message bus security policy blocked the reply, the reply
timeout expired, or the network connection was broken.
Volume monitoring will not work.
3157: arguments to dbus_connection_send_with_reply_and_block() were incorrect,
assertion "connection != NULL" failed in file dbus-connection.c line 2769.
This is normally a bug in some application using the D-BUS library.
3157: arguments to dbus_connection_send_with_reply_and_block() were incorrect,
assertion "connection != NULL" failed in file dbus-connection.c line 2769.
This is normally a bug in some application using the D-BUS library.
Comment 8 Tim Vismor 2006-11-14 17:25:54 EST
FYI - An update. I don't know if this is related to the issues at the heart of
the recent flame fest between Daniel Stone and Havoc Pennington on the D-Bus
list, but

sudo nautilus --browser

now just hangs until you kill it with Ctl-C (no nautilus window displayed, no
warnings or error messages written to the console).

This is with rawhide as of 11/14/06, ie.

[vismor@azalea ~]$ rpm -q dbus
dbus-1.0.0-1.fc7
[vismor@azalea ~]$ rpm -q nautilus
nautilus-2.16.2-5.fc7
[vismor@azalea ~]$ rpm -q gnome-vfs2
gnome-vfs2-2.16.2-2.fc7
[vismor@azalea ~]$ rpm -q gtk2
gtk2-2.10.6-1.fc7

For what it's worth, gedit hangs in a similar manner if you open the file browser.
Comment 9 Tim Vismor 2007-01-04 11:04:04 EST
Apparently, this behavior is intentional. See the thread
http://lists.freedesktop.org/pipermail/dbus/2006-December/006691.html

If this is the case, this bug should be closed. Although I suggest prominent
documentation of the work-around suggested in the thread. It's not clear to me
that most users would expect sudo to fail for all programs using gnome-vfs.
Comment 10 Bug Zapper 2008-04-03 13:49:52 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Bug Zapper 2008-05-06 20:41:28 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.